package fixture;

import java.util.ArrayList;

import project.Auction;
import project.Category;
import project.Item;
import project.ItemPicture;

public class ItemFixture {

	private Item i;
	private int item, picture, category;
	public static ArrayList<Item> items;
	private String title, description;
		
	public boolean modify() {
		i = Item.getInstance();
		return i.modify(title, description, Category.getCategory(category));
	}
	
	public boolean addPicture() {
		i = Item.getInstance();
		return i.addPicture(Item.getItem(item), ItemPicture.getItemPicture(picture));
	}
	
	public void setI(Item i) {
		this.i = i;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public void setItem(int item) {
		this.item = item;
	}

	public void setPicture(int picture) {
		this.picture = picture;
	}

	public void setCategory(int category) {
		this.category = category;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public static void setItems(ArrayList<Item> items) {
		ItemFixture.items = items;
	}

}
